GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
GDALRPCInfo Struct Reference

Strucutre to store Rational Polynomial Coefficients / Rigorous Projection Model. More...

`#include <gdal.h>`

## Public Attributes
double | dfLINE_OFF
double | dfSAMP_OFF
double | dfLAT_OFF
double | dfLONG_OFF
double | dfHEIGHT_OFF
double | dfLINE_SCALE
double | dfSAMP_SCALE
double | dfLAT_SCALE
double | dfLONG_SCALE
double | dfHEIGHT_SCALE
double | adfLINE_NUM_COEFF [20]
double | adfLINE_DEN_COEFF [20]
double | adfSAMP_NUM_COEFF [20]
double | adfSAMP_DEN_COEFF [20]
double | dfMIN_LONG
double | dfMIN_LAT
double | dfMAX_LONG
double | dfMAX_LAT

## Detailed Description

Strucutre to store Rational Polynomial Coefficients / Rigorous Projection Model.

See http://geotiff.maptools.org/rpc_prop.html

## Member Data Documentation

double GDALRPCInfo::adfLINE_DEN_COEFF[20]

Line Denominator Coefficients

double GDALRPCInfo::adfLINE_NUM_COEFF[20]

Line Numerator Coefficients

double GDALRPCInfo::adfSAMP_DEN_COEFF[20]

Sample/Pixel Denominator Coefficients

double GDALRPCInfo::adfSAMP_NUM_COEFF[20]

Sample/Pixel Numerator Coefficients

double GDALRPCInfo::dfHEIGHT_OFF

Height offset

double GDALRPCInfo::dfHEIGHT_SCALE

Height scale

double GDALRPCInfo::dfLAT_OFF

Latitude offset

double GDALRPCInfo::dfLAT_SCALE

Latitude scale

double GDALRPCInfo::dfLINE_OFF

Line offset

double GDALRPCInfo::dfLINE_SCALE

Line scale

double GDALRPCInfo::dfLONG_OFF

Longitude offset

double GDALRPCInfo::dfLONG_SCALE

Longitude scale

double GDALRPCInfo::dfMAX_LAT

Maximum latitude

double GDALRPCInfo::dfMAX_LONG

Maximum longitude

double GDALRPCInfo::dfMIN_LAT

Minimum latitude

double GDALRPCInfo::dfMIN_LONG

Minimum longitude

double GDALRPCInfo::dfSAMP_OFF

Sample/Pixel offset

double GDALRPCInfo::dfSAMP_SCALE

Sample/Pixel scale

The documentation for this struct was generated from the following file:

- gdal.h

Generated for GDAL by 1.8.8.